Package weka.core.stemmers

# Interface Stemmer

All Superinterfaces:
  `RevisionHandler`, `Serializable`

All Known Implementing Classes:
  `IteratedLovinsStemmer`, `LovinsStemmer`, `NullStemmer`, `SnowballStemmer`

public interface Stemmer extends Serializable, RevisionHandler
Interface for all stemming algorithms.

Version:
  $Revision: 1.3 $
Author:
  FracPete (fracpete at waikato dot ac dot nz)

## Method Summary

Modifier and Type
Method
Description
`String`
`stem(String word)`
Stems the given word and returns the stemmed version

### Methods inherited from interface weka.core.RevisionHandler

`getRevision`

## Method Details

### stem

String stem(String word)
Stems the given word and returns the stemmed version

Parameters:
  `word` - the unstemmed word
Returns:
  the stemmed word